javax.swing.plaf.basic

## Class BasicSliderUI.ScrollListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicSliderUI.ScrollListener

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.ScrollListener
    extends Object
    implements ActionListener

Scroll-event listener. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

### Constructor Summary

Constructors
Constructor and Description
`ScrollListener()`
`ScrollListener(int dir, boolean block)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`void` `setDirection(int direction)`
`void` `setScrollByBlock(boolean block)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScrollListener

    public ScrollListener()

#### ScrollListener

    public ScrollListener(int dir,
                          boolean block)

### Method Detail

#### setDirection

    public void setDirection(int direction)

#### setScrollByBlock

    public void setScrollByBlock(boolean block)

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

Specified by:
  `actionPerformed` in interface `ActionListener`